<?php
/**
 * The Footer Sidebar containing the footer widget areas.
 *
 * @package Catch Themes
 * @subpackage Clean Journal Pro
 * @since Clean Journal 1.0
 */

$clean_journal_options    = clean_journal_get_theme_options();
if ( is_active_sidebar( 'header-top-left' ) || is_active_sidebar( 'header-top-right' ) ) {
?>
    <div id="header-top" class="header-top-bar">
        <div class="wrapper">
            <?php if ( is_active_sidebar( 'header-top-left' ) ) { ?>
                <div class="clearfix header-top-left">
                    <?php if ( function_exists( 'clean_journal_header_top_menu' ) ) {  clean_journal_header_top_menu(); } ?>
                    <?php dynamic_sidebar( 'header-top-left' ); ?>
                </div>
            <?php } ?>
            <?php if ( is_active_sidebar( 'header-top-right' ) ) { ?>
                <div class="clearfix header-top-right">
                    <?php dynamic_sidebar( 'header-top-right' ); ?>
                </div>
            <?php } ?>
        </div><!-- .wrapper -->
    </div><!-- #header-top -->
    <?php
    if ( $clean_journal_options['fixed_header_top'] ) { ?>
        <div id="header-top" class="header-top-bar hidden">
            <div class="wrapper">
                <?php if ( is_active_sidebar( 'header-top-left' ) ) { ?>
                    <div class="clearfix header-top-left">
                        <?php if ( function_exists( 'clean_journal_header_top_menu' ) ) {  clean_journal_header_top_menu(); } ?>
                        <?php dynamic_sidebar( 'header-top-left' ); ?>
                    </div>
                <?php } ?>
                <?php if ( is_active_sidebar( 'header-top-right' ) ) { ?>
                    <div class="clearfix header-top-right">
                        <?php dynamic_sidebar( 'header-top-right' ); ?>
                    </div>
                <?php } ?>
            </div><!-- .wrapper -->
        </div><!-- #header-top-hidden -->
    <?php
    }
}
else if ( '' == ( $clean_journal_social_icons = clean_journal_get_social_icons() ) && !has_nav_menu( 'header-top' ) ) {
    //Helper Text
    if ( current_user_can( 'edit_theme_options' ) ) { ?>
        <div id="header-top" class="header-top-bar">
            <div class="wrapper">
                <div class="header-top-left full-width">
                    <section id="widget-default-text" class="widget widget_text header_top_widget_area">
                        <div class="widget-wrap">
                            <div class="textwidget">
                                <p><?php _e( 'This is Header Top Sidebar Widget Area. Assign Header Top Menu and Social Icons from Theme Customizer', 'clean-journal-pro' ); ?></p>
                            </div>
                        </div><!-- .widget-wrap -->
                    </section><!-- #widget-default-text -->
                </div><!-- .header-top-left -->
            </div><!-- .wrapper -->
        </div><!-- #header-top -->
    <?php
    }
}
else { ?>
    <div id="header-top" class="header-top-bar">
        <div class="wrapper">
            <?php if ( has_nav_menu( 'header-top' ) ) { ?>
                <div class="clearfix header-top-left">
                    <?php if ( function_exists( 'clean_journal_header_top_menu' ) ) {  clean_journal_header_top_menu(); } ?>
                </div><!-- .header-top-left -->
            <?php
            }
            if ( '' != ( $clean_journal_social_icons = clean_journal_get_social_icons() ) ) { ?>
                <div class="header-top-right">
                    <section class="widget widget_clean_journal_social_icons" id="header-right-social-icons">
                        <div class="widget-wrap">
                            <?php echo $clean_journal_social_icons; ?>
                        </div><!-- .widget-wrap -->
                    </section><!-- #header-right-social-icons -->
                </div><!-- .header-top-right -->
            <?php
            } ?>
        </div><!-- .wrapper -->
    </div><!-- #header-top -->
<?php
} ?>

<?php
if ( $clean_journal_options['fixed_header_top'] ) {
    if ( '' == ( $clean_journal_social_icons = clean_journal_get_social_icons() ) ) { ?>
        <div id="header-top" class="header-top-bar hidden">
            <div class="wrapper">
                <div class="header-top-left full-width">
                    <section id="widget-default-text" class="widget widget_text header_top_widget_area">
                        <div class="widget-wrap">
                            <div class="textwidget">
                                <p><?php _e( 'This is Header Top Sidebar Widget Area. Assign Header Top Menu and Social Icons from Theme Customizer', 'clean-journal-pro' ); ?></p>
                            </div>
                        </div><!-- .widget-wrap -->
                    </section><!-- #widget-default-text -->
                </div><!-- .header-top-left -->
            </div><!-- .wrapper -->
        </div><!-- #header-top -->
    <?php
    }
    else { ?>
        <div id="header-top" class="header-top-bar hidden">
            <div class="wrapper">
                <?php if ( has_nav_menu( 'header-top' ) ) { ?>
                    <div class="clearfix header-top-left">
                        <?php if ( function_exists( 'clean_journal_header_top_menu' ) ) {  clean_journal_header_top_menu(); } ?>
                    </div><!-- .header-top-left -->
                <?php } ?>
                <div class="header-top-right">
                    <section class="widget widget_clean_journal_social_icons" id="header-right-social-icons">
                        <div class="widget-wrap">
                            <?php echo $clean_journal_social_icons; ?>
                        </div><!-- .widget-wrap -->
                    </section><!-- #header-right-social-icons -->
                </div><!-- .header-top-right -->
            </div><!-- .wrapper -->
        </div><!-- #header-top -->
    <?php
    }
}